[API Reference](../README.md) > [VoteWithSpecifiedAmountsConfig](../interfaces/VoteWithSpecifiedAmountsConfig.md)



# Interface: VoteWithSpecifiedAmountsConfig


## Properties
<a id="proposalId"></a>

###  proposalId

**●  proposalId**:  *`string`* 

*Defined in [wrappers/genesisProtocol.ts:1182](https://github.com/daostack/arc.js/blob/3442b6c0/lib/wrappers/genesisProtocol.ts#L1182)*



unique hash of proposal index




___

<a id="reputation"></a>

###  reputation

**●  reputation**:  *`BigNumber.BigNumber`⎮`string`* 

*Defined in [wrappers/genesisProtocol.ts:1190](https://github.com/daostack/arc.js/blob/3442b6c0/lib/wrappers/genesisProtocol.ts#L1190)*



reputation to put behind this vote, in Wei




___

<a id="vote"></a>

###  vote

**●  vote**:  *`number`* 

*Defined in [wrappers/genesisProtocol.ts:1186](https://github.com/daostack/arc.js/blob/3442b6c0/lib/wrappers/genesisProtocol.ts#L1186)*



the choice of vote. Can be 1 (YES) or 2 (NO).




___


